package main;

import com.mashape.unirest.http.exceptions.UnirestException;
import elements.exceptions.ReadErrorChatException;
import elements.exceptions.ReadErrorListException;

/**
 * Created by Guillermo Serrahima on 4/1/16.
 */
public class Main {
    public static void main(String[] args) {
        try {
            Geiserbot bot = new Geiserbot();
            System.out.println("The Bot @" + bot.getUsername() + " awakens.");

            System.out.println("Bot running.");
            bot.run();
        } catch (UnirestException e) {
            System.out.println("Unirest Error catched.");
            e.printStackTrace();
        } catch (ReadErrorChatException | ReadErrorListException e) {
            System.out.println("Read Error catched.");
            e.printStackTrace();
        }
    }
}
